Name:          sysfsutils
Version:       2.1.0
Release:       4mamba
Summary:       System utilities based on sysfs
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://linux-diag.sourceforge.net/Sysfsutils.html
Source:        http://downloads.sourceforge.net/sourceforge/linux-diag/sysfsutils-%{version}.tar.gz
Source1:       http://downloads.sourceforge.net/sourceforge/linux-diag/sysfsutils-1.3.0.tar.gz
Patch0:        %{name}-2.1.0-kernel_2.6.25.patch
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides:      sysfs
Obsoletes:     sysfs
Requires:      libsysfs = %{version}-%{release}
%description
A consistant and stable interface for querying system device information exposed through sysfs.

%package -n libsysfs
Group:         System/Libraries
Summary:       System library for accessing sysfs
Obsoletes:     libsysfs1

%description -n libsysfs
A consistant and stable interface for querying system device information exposed through sysfs.
This package contains command line tools for querying and diagnostics.

%package -n libsysfs-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for libsysfs
Requires:      libsysfs = %{version}-%{release}

%description -n libsysfs-devel
A consistant and stable interface for querying system device information exposed through sysfs.
This package contains static libraries and header files need for development.

%prep
%setup -q -a1
%patch0 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -n libsysfs -p /sbin/ldconfig
%postun -n libsysfs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/dlist_test
%{_bindir}/get_device
%{_bindir}/get_driver
%{_bindir}/get_module
%{_bindir}/systool
%{_mandir}/man1/systool.*

%files -n libsysfs
%defattr(-,root,root)
%{_libdir}/libsysfs.so.*
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO

%files -n libsysfs-devel
%defattr(-,root,root)
%{_includedir}/sysfs/*.h
%{_libdir}/libsysfs.a
%{_libdir}/libsysfs.la
%{_libdir}/libsysfs.so

%changelog
* Mon Jul 15 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-4mamba
- automatic rebuild by autodist

* Thu Jun 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-3mamba
- systool man moved from lib to sysfsutils package

* Mon Sep 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- added patch to fix behaviour with kernel >=2.6.25 and CONFIG_SYSFS_DEPRECATED_V2 not set
- disabled build and obsoleted compatibility library libsysfs1

* Thu Jul 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Mon Dec 19 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.0.0-2qilnx
- added missing %%post and %%postun for %{name}1 subpackage

* Fri Dec 16 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.0.0-1qilnx
- update to version 2.0.0 by autospec
- new compatibility package %{name}1

* Thu Jul 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1qilnx
- package created by autospec
